Asynchronous Messaging (Internal)

CoAP Async Structures, Enums and Functions that are not exposed to applications. More...

## Data Structures

struct | coap_async_t

## Functions

coap_tick_t | coap_check_async (coap_context_t *context, coap_tick_t now)
| Checks if there are any pending Async requests - if so, send them off. More...
void | coap_delete_all_async (coap_context_t *context)
| Removes and frees off all of the async entries for the given context. More...

## Detailed Description

CoAP Async Structures, Enums and Functions that are not exposed to applications.

A coap_context_t object holds a list of coap_async_t objects that can be used to generate a separate response in the case a result of a request cannot be delivered immediately.

## Function Documentation

## coap_check_async()

coap_tick_t coap_check_async | ( | coap_context_t * | context,
|  | coap_tick_t | now
| ) |  |

Checks if there are any pending Async requests - if so, send them off.

Otherewise return the time remaining for the next Async to be triggered or 0 if nothing to do.

Parameters

  context | The current context.
  now | The current time in ticks.

Returns
  The tick time before the next Async needs to go, else 0 if nothing to do.

Definition at line 3199 of file net.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## coap_delete_all_async()

void coap_delete_all_async | ( | coap_context_t * | context | ) |

Removes and frees off all of the async entries for the given context.

Parameters

  context | The context to remove all async entries from.

Definition at line 139 of file async.c.

Here is the call graph for this function:
Here is the caller graph for this function: